/********************************************************************************************************\

	File Name:	CommonBattleshipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonBattleshipBaseState.h"
#include "ScriptInterface.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonBattleshipBaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kInvincibility_TID, 0.5f );
}
void tCommonBattleshipBaseState::mEndState()
{}

void tCommonBattleshipBaseState::mOnDeath( tShipInfo* ship )
{
	/*  Last ship is handled by CommonBaseVictoryState.cpp
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{

			//
			//	The Battleship is lost
			//
			gWC.mSetBattleshipDestroyed( teamID, true );

		}
	}
	*/
}
void tCommonBattleshipBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonBattleshipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonBattleshipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonBattleshipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonBattleshipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonBattleshipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonBattleshipBaseState::mOnFlashingButtonPressed()
{}
void tCommonBattleshipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonBattleshipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonBattleshipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonBattleshipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCommonBattleshipBaseState::mOnHostChanged()
{}
void tCommonBattleshipBaseState::mOnTimedInterval( int32 timerID )
{
	switch ( timerID )
	{
	case kInvincibility_TID:
		{
			fChildActor->mSetTargetable( kTrue );
		}
		break;
	}
}
void tCommonBattleshipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonBattleshipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


