//	<Name>	MissionMaps.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionMaps.h"

#if defined ( _GERMAN )

/*
	G-Z are random starting positions for the 6 teams
*/
int32 TotalMaps = 18;
const char* MapTypes[] = {	"Offener Weltraum - K",
							"Offener Weltraum - M",
							"Offener Weltraum - G",
							"Planeten - K",
							"Planeten - M",
							"Planeten - G",
							"Asteroidenfeld - K",
							"Asteroidenfeld - M",
							"Asteroidenfeld - G",
							"Asteroidengrtel - K",
							"Asteroidengrtel - M",
							"Asteroidengrtel - G",
							"Nebel - K",
							"Nebel - M",
							"Nebel - G",
							"Schwarzes Loch - K",
							"Schwarzes Loch - M",
							"Schwarzes Loch - G"};

/*
	Legend:
			Starting Positions			Ending Positions			Planets			
			Start1 --> G				End1 --> g					Earth --> 1
			Start2 --> H				End2 --> h					Ringed Earth --> 2
			Start3 --> I				End3 --> i					Mars --> 3
			Start4 --> J				End4 --> j					Jupiter --> 4
			Start5 --> K				End5 --> k					Organia --> 5
			Start6 --> L				End6 --> l					Saturn --> 6
			Start7 --> M				End7 --> m					Night City --> 7
			Start8 --> N				End8 --> n					Fire --> 8
			Start9 --> O				End9 --> o					Ice --> 9
			Start10 --> P				End10 --> p					Gas --> 0
			Start11 --> Q				End11 --> q					
			Start12 --> R				End12 --> r					
			Start13 --> S				End13 --> s					
			Start14 --> T				End14 --> t					
			Start15 --> U				End15 --> u					
			Start16 --> V				End16 --> v					
			Start17 --> W				End17 --> w					
			Start18 --> X				End18 --> x					
			Start19 --> Y				End19 --> y					
			Start20 --> Z				End20 --> z					

			Celestial Bodies			Asteroids					Black Holes
			Moon --> @					SmallAsteroid --> [			SmallBlackHole --> :
			Sun1 --> (					LargeAsteroid --> ]			LargeBlackHole --> ,
			Sun2 --> )					IceAsteroid --> *			
			Sun3 --> !
			
			Nebulas						Dust Clouds					Other
			Nebula1 --> &				LightDustCloud --> <		WormHole --> %
			Nebula2 --> ?				HeavyDustCloud --> >		Fissure --> $
																	Corpse --> #
																	Organian --> ^
*/
const char* MapLines[]=
{
   "Mul_3Battlefest",
   "// Offener Weltraum - K",
   " +____1____2____3+",
   " |.m...l....k..n.|",
   " |.O...........P.|",
   " |...............|",
   " |..............q|",
   "1|.....I....J..R.|",
   " |...............|",
   " |...............|",
   " |h..G........H.g|",
   " |...............|",
   "2|.Q.............|",
   " |r....L....K....|",
   " |...............|",
   " |...............|",
   " |.N...........M.|",
   "3|.p...i....j..o.|",
   " +---------------+",
   "      1    2    3",
   "// Offener Weltraum - M",
   " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h......G.........H......g|",
   " |.........................|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Offener Weltraum - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Planeten - K",
   " +____1____2____3+",
   " |...............|",
   " |...............|",
   " |...............|",
   " |...............|",
   "1|.....I....J....|",
   " |...............|",
   " |......1........|",
   " |h..G........H.g|",
   " |...............|",
   "2|...............|",
   " |.....L....K....|",
   " |...............|",
   " |...............|",
   " |...............|",
   "3|...............|",
   " +---------------+",
   "      1    2    3",
   "// Planeten - M",
   " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.......3.................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h......G.........H......g|",
   " |.........................|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|...............8.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Planeten - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........(...............................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........8...............................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |..................................9.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Asteroidenfeld - K",
    " +____1____2____3+",
   " |.....l....k....|",
   " |...............|",
   " |...a...A.......|",
   " |...............|",
   "1|..*..I.A..J....|",
   " |.........A.....|",
   " |......a........|",
   " |h..G.....*..H.g|",
   " |.......A.......|",
   "2|...............|",
   " |..*..L....K..a.|",
   " |...............|",
   " |...a....A.....a|",
   " |.............*.|",
   "3|.A...i....j....|",
   " +---------------+",
   "      1    2    3",
   "// Asteroidenfeld - M",
    " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |...A...*.................|",
   " |.............a...A.......|",
   " |.....a................a..|",
   "1|........A.......A........|",
   " |....a............a....a..|",
   " |............*.....*......|",
   " |.a.A..*...a...........A..|",
   " |...................a.....|",
   "2|.a........I....J.........|",
   " |....*........a....*...A..|",
   " |...........A..........a..|",
   " |h.A....G.........H......g|",
   " |.*...a....A....A....a....|",
   "3|.........................|",
   " |..a.......L....K.......a.|",
   " |....A...a..........A.....|",
   " |.........................|",
   " |.....a.....*....a....A...|",
   "4|...A........A...........A|",
   " |..*..............*...a...|",
   " |....................a....|",
   " |..........a..............|",
   " |......*.........A........|",
   "5|..........i.....j....A...|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroidenfeld - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |.......*..................A.............|",
   " |............A*.........*......A.........|",
   "1|........................................|",
   " |....a..........a...A................*...|",
   " |........................................|",
   " |..........................A.............|",
   " |..A........*............................|",
   "2|................................A.......|",
   " |......A...........*.....................|",
   " |........................................|",
   " |..a.....*......a...........A........a...|",
   " |........................................|",
   "3|.....a.....a......A..........*....A.....|",
   " |............................a...........|",
   " |...a..........A...I....J.......a.....*..|",
   " |........*...a.......A...................|",
   " |................................a.......|",
   "4|h..A.........a.G...a.*...H.........a...g|",
   " |......*..........................A......|",
   " |.........A....a.........................|",
   " |.....A............L....K.....a..*.......|",
   " |........................................|",
   "5|...*..a..*......a........A.....a....A...|",
   " |........................................|",
   " |a..........a........*...........a.....*.|",
   " |...a........A.............a.........A...|",
   " |.A..............a......A........a.......|",
   "6|........................................|",
   " |..........a.......*..........a...A......|",
   " |........................................|",
   " |....a.......*.......a..A.......a.......*|",
   " |................*.......................|",
   "7|..a.....a...............................|",
   " |...................A............a.......|",
   " |............A..........*...........A....|",
   " |........................................|",
   " |...a....................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Asteroidengrtel - K",
   " +____1____2____3+",
   " |.....l....k....|",
   " |...............|",
   " |..............[|",
   " |.....I....J..*.|",
   "1|.............[.|",
   " |............[.[|",
   " |...G...[[[[....|",
   " |h.....[.......g|",
   " |.....[......H..|",
   "2|...[...........|",
   " |..[............|",
   " |.[...L.....K...|",
   " |.[.............|",
   " |.*.............|",
   "3|.[...i....j....|",
   " +---------------+",
   "      1    2    3",
   "// Asteroidengrtel - M",
   " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |..*......................|",
   " |[..[..*..[..[......*.....|",
   " |[....[...[....[..]...[..]|",
   "1|.[.]...[...[.......[.....|",
   " |]....*........].]..*...[.|",
   " |.........*..].....[......|",
   " |....................]..*.|",
   " |.......................].|",
   "2|..........I....J.....[..[|",
   " |.........................|",
   " |.........................|",
   " |h......G.........H......g|",
   " |.........................|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroidengrtel - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |.......................................]|",
   " |....................................*...|",
   "1|....................................].[.|",
   " |................................[......*|",
   " |.........................]..]......*....|",
   " |.....*.]..]...[...[..[.........].]....[.|",
   " |..............]........]....*...........|",
   "2|...[...]............]........[..[..[..].|",
   " |...........[..].[..*......*.............|",
   " |.]..]....].............]......]..[..*..]|",
   " |..*....[..................[..[.......[..|",
   " |.....[...........................]..]..[|",
   "3|[.]...................................].|",
   " |....]..................................*|",
   " |.[.*..............I....J................|",
   " |*..]....................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |.......................................*|",
   " |.....................................].[|",
   " |.........................]....[..].[....|",
   "7|....................]..[...[...[....[..[|",
   " |.................[....]..[..]..........*|",
   " |.............]....].....................|",
   " |...]....[..]...]........................|",
   " |*..[.][...[.............................|",
   "8|][*.[.............i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Nebel - K",
   " +____1____2____3+",
   " |&....l....k....|",
   " |...............|",
   " |...............|",
   " |...............|",
   "1|.....I....J....|",
   " |...............|",
   " |...............|",
   " |h..G........H.g|",
   " |...............|",
   "2|...............|",
   " |.....L....K....|",
   " |...............|",
   " |...............|",
   " |...............|",
   "3|.....i....j....|",
   " +---------------+",
   "      1    2    3",
   "// Nebel - M",
   " +____1____2____3____4____5+",
   " |&.........l....k.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h......G.........H......g|",
   " |.........................|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebel - G",
   " +____1____2____3____4____5____6____7____8+",
   " |&................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Schwarzes Loch - K",
   " +____1____2____3+",
   " |.....l....k....|",
   " |...............|",
   " |...............|",
   " |.....I....J....|",
   "1|...............|",
   " |...............|",
   " |...............|",
   " |h.G....:....H.g|",
   " |...............|",
   "2|...............|",
   " |...............|",
   " |.....L....K....|",
   " |...............|",
   " |...............|",
   "3|.....i....j....|",
   " +---------------+",
   "      1    2    3",
   "// Schwarzes Loch - M",
   " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |..........I....J.........|",
   " |.........................|",
   "2|.........................|",
   " |.........................|",
   " |.........................|",
   " |h....G......,......H....g|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |..........L....K.........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Schwarzes Loch - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |..................I....J................|",
   "3|........................................|",
   " |........................................|",
   " |........................................|",
   " |....................,...................|",
   " |........................................|",
   "4|h............G.............H...........g|",
   " |....................,...................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|..................L....K................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};

#else

/*
	G-Z are random starting positions for the 6 teams
*/
int32 TotalMaps = 18;
const char* MapTypes[] = {	"Open Space - S",
							"Open Space - M",
							"Open Space - L",
							"Planets - S",
							"Planets - M",
							"Planets - L",
							"Asteroid Field - S",
							"Asteroid Field - M",
							"Asteroid Field - L",
							"Asteroid Belt - S",
							"Asteroid Belt - M",
							"Asteroid Belt - L",
							"Nebula - S",
							"Nebula - M",
							"Nebula - L",
							"Black Hole - S",
							"Black Hole - M",
							"Black Hole - L"};

/*
	Legend:
			Starting Positions			Ending Positions			Planets			
			Start1 --> G				End1 --> g					Earth --> 1
			Start2 --> H				End2 --> h					Ringed Earth --> 2
			Start3 --> I				End3 --> i					Mars --> 3
			Start4 --> J				End4 --> j					Jupiter --> 4
			Start5 --> K				End5 --> k					Organia --> 5
			Start6 --> L				End6 --> l					Saturn --> 6
			Start7 --> M				End7 --> m					Night City --> 7
			Start8 --> N				End8 --> n					Fire --> 8
			Start9 --> O				End9 --> o					Ice --> 9
			Start10 --> P				End10 --> p					Gas --> 0
			Start11 --> Q				End11 --> q					
			Start12 --> R				End12 --> r					
			Start13 --> S				End13 --> s					
			Start14 --> T				End14 --> t					
			Start15 --> U				End15 --> u					
			Start16 --> V				End16 --> v					
			Start17 --> W				End17 --> w					
			Start18 --> X				End18 --> x					
			Start19 --> Y				End19 --> y					
			Start20 --> Z				End20 --> z					

			Celestial Bodies			Asteroids					Black Holes
			Moon --> @					SmallAsteroid --> [			SmallBlackHole --> :
			Sun1 --> (					LargeAsteroid --> ]			LargeBlackHole --> ,
			Sun2 --> )					IceAsteroid --> *			
			Sun3 --> !
			
			Nebulas						Dust Clouds					Other
			Nebula1 --> &				LightDustCloud --> <		WormHole --> %
			Nebula2 --> ?				HeavyDustCloud --> >		Fissure --> $
																	Corpse --> #
																	Organian --> ^
*/
const char* MapLines[]=
{
   "Mul_3Battlefest",
   "// Open Space - S",
   " +____1____2____3+",
   " |.m...l....k..n.|",
   " |.O...........P.|",
   " |...............|",
   " |..............q|",
   "1|.....I....J..R.|",
   " |...............|",
   " |...............|",
   " |h..G........H.g|",
   " |...............|",
   "2|.Q.............|",
   " |r....L....K....|",
   " |...............|",
   " |...............|",
   " |.N...........M.|",
   "3|.p...i....j..o.|",
   " +---------------+",
   "      1    2    3",
   "// Open Space - M",
   " +____1____2____3____4____5+",
   " |.m........l....k.......n.|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.......O..........P......|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h..Q...G.........H...R..g|",
   " |r.......................q|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.......N..........M......|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.p........i.....j......o.|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Open Space - L",
   " +____1____2____3____4____5____6____7____8+",
   " |.m...............l......k.............n.|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |...............O..........P.............|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..........Q...G.........H...R.........g|",
   " |r......................................q|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |...............N..........M.............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|.p................i.....j.............o.|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Planets - S",
   " +____1____2____3+",
   " |.m...l....k..n.|",
   " |.O...........P.|",
   " |...............|",
   " |..............q|",
   "1|.....I....J..R.|",
   " |...............|",
   " |......1........|",
   " |h..G........H.g|",
   " |...............|",
   "2|.Q.............|",
   " |r....L....K....|",
   " |...............|",
   " |...............|",
   " |.N...........M.|",
   "3|.p...i....j..o.|",
   " +---------------+",
   "      1    2    3",
   "// Planets - M",
   " +____1____2____3____4____5+",
   " |.m........l....k.......n.|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|............3............|",
   " |.........................|",
   " |.......O..........P......|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h..Q...G.........H...R..g|",
   " |r.......................q|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.......N..........M......|",
   "4|.........................|",
   " |.........................|",
   " |..............8..........|",
   " |.........................|",
   " |.........................|",
   "5|.p........i.....j......o.|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Planets - L",
   " +____1____2____3____4____5____6____7____8+",
   " |.m...............l......k.............n.|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|.....(..................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |...............O..........P.............|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..........Q...G.........H...R.........g|",
   " |r......................................q|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |...............N..........M.............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........8...............................|",
   "7|........................................|",
   " |..................................9.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|.p................i.....j.............o.|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Asteroid Field - S",
   " +____1____2____3+",
   " |.m...l....k..n.|",
   " |.O...........P.|",
   " |...a...A.......|",
   " |..............q|",
   "1|..*..I.A..J..R.|",
   " |.........A.....|",
   " |......a........|",
   " |h..G.....*..H.g|",
   " |.......A.......|",
   "2|.Q.............|",
   " |r.*..L....K..a.|",
   " |...............|",
   " |...a....A.....a|",
   " |.N........*..M.|",
   "3|.p...i....j..o.|",
   " +---------------+",
   "      1    2    3",
   "// Asteroid Field - M",
    " +____1____2____3____4____5+",
   " |.m........l....k.......n.|",
   " |...A...*.................|",
   " |.............a...A.......|",
   " |.....a................a..|",
   "1|........A.......A.*......|",
   " |....a.................a..|",
   " |.......O....*...a.P......|",
   " |.a.A..*...a...........A..|",
   " |...................a.....|",
   "2|.a........I....J.........|",
   " |....*........a....*...A..|",
   " |...........A..........a..|",
   " |h.A.Q..G.........H..R...g|",
   " |r*...a....A....A....a...q|",
   "3|.........................|",
   " |..a.......L....K.......a.|",
   " |....A...a..........A.....|",
   " |.........................|",
   " |.....a.N...*....a.M..A...|",
   "4|...A........A...........A|",
   " |..*..............*...a...|",
   " |....................a....|",
   " |..........a..............|",
   " |......*.........A........|",
   "5|..........i.....j....A.o.|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Field - L",
   " +____1____2____3____4____5____6____7____8+",
   " |.m...............l......k.............n.|",
   " |........................................|",
   " |.......*..................A.............|",
   " |............A*.........*......A.........|",
   "1|........................................|",
   " |....a..........a...A................*...|",
   " |........................................|",
   " |..........................A.............|",
   " |..A........*............................|",
   "2|................................A.......|",
   " |......A...........*.....................|",
   " |........................................|",
   " |..a.....*......a...........A........a...|",
   " |...............O.........P..............|",
   "3|.....a.....a......A..........*....A.....|",
   " |............................a...........|",
   " |...a..........A...I....J.......a.....*..|",
   " |........*...a.......A...................|",
   " |................................a.......|",
   "4|h..A....a...Q..G...a.*...H...R.....a...g|",
   " |r.....*..........................A.....q|",
   " |.........A....a.........................|",
   " |.....A............L....K.....a..*.......|",
   " |........................................|",
   "5|...*..a..*......a........A.....a....A...|",
   " |...............N..........M.............|",
   " |a..........a........*...........a.....*.|",
   " |...a........A.............a.........A...|",
   " |.A..............a......A........a.......|",
   "6|........................................|",
   " |..........a.......*..........a...A......|",
   " |........................................|",
   " |....a.......*.......a..A.......a.......*|",
   " |................*.......................|",
   "7|..a.....a...............................|",
   " |...................A............a.......|",
   " |............A..........*...........A....|",
   " |........................................|",
   " |...a....................................|",
   "8|.p................i.....j.............o.|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Asteroid Belt - S",
   " +____1____2____3+",
   " |.mO..l....k.Pn.|",
   " |...............|",
   " |..............[|",
   " |.....I....J..*.|",
   "1|.............[.|",
   " |Q...........[.[|",
   " |r..G...[[[[....|",
   " |h.....[.......g|",
   " |.....[.....H..R|",
   "2|...[..........q|",
   " |..[............|",
   " |.[...L.....K...|",
   " |.[.............|",
   " |.*............o|",
   "3|p[.N.i....j..M.|",
   " +---------------+",
   "      1    2    3",
   "// Asteroid Belt - M",
   " +____1____2____3____4____5+",
   " |.m........l....k.......n.|",
   " |..*......................|",
   " |[..[..*..[..[......*.....|",
   " |[....[...[....[..]...[..]|",
   "1|.[.]...[...[.......[.....|",
   " |]....*........].]..*...[.|",
   " |.......O.*..].....[......|",
   " |..................P.]..*.|",
   " |.......................].|",
   "2|..........I....J.....[..[|",
   " |.........................|",
   " |.........................|",
   " |h...Q..G.........H...R..g|",
   " |r.......................q|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.......N..........M......|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.p........i.....j......o.|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Belt - L",
   " +____1____2____3____4____5____6____7____8+",
   " |.m...............l......k.............n.|",
   " |........................................|",
   " |.......................................]|",
   " |....................................*...|",
   "1|....................................].[.|",
   " |................................[......*|",
   " |.........................]..]......*....|",
   " |.....*.]..]...[...[..[.........].]....[.|",
   " |..............]........]....*...........|",
   "2|...[...]............]........[..[..[..].|",
   " |...........[..].[..*......*.............|",
   " |.]..]....].............]......]..[..*..]|",
   " |..*....[..................[..[.......[..|",
   " |.....[.........O.................]..]..[|",
   "3|[.]........................P..........].|",
   " |....]..................................*|",
   " |.[.*..............I....J................|",
   " |*..]....................................|",
   " |........................................|",
   "4|h..........Q...G.........H...R.........g|",
   " |r......................................q|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |...............N..........M.............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |.......................................*|",
   " |.....................................].[|",
   " |.........................]....[..].[....|",
   "7|....................]..[...[...[....[..[|",
   " |.................[....]..[..]..........*|",
   " |p............]....].....................|",
   " |...]....[..]...]........................|",
   " |*..[.][...[.............................|",
   "8|][*.[.............i.....j.............o.|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Nebula - S",
   " +____1____2____3+",
   " |&.m..l....k..n.|",
   " |..O..........P.|",
   " |...............|",
   " |...............|",
   "1|.....I....J....|",
   " |r..............|",
   " |..............q|",
   " |h..G........H.g|",
   " |Q..............|",
   "2|..............R|",
   " |.....L....K....|",
   " |...............|",
   " |...............|",
   " |..N..........M.|",
   "3|.p...i....j..o.|",
   " +---------------+",
   "      1    2    3",
   "// Nebula - M",
   " +____1____2____3____4____5+",
   " |&.m.......l....k.......n.|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.......O..........P......|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h..Q...G.........H...R..g|",
   " |r.......................q|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.......N..........M......|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.p........i.....j......o.|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula - L",
   " +____1____2____3____4____5____6____7____8+",
   " |&.m..............l......k.............n.|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |...............O..........P.............|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |r.......................................|",
   " |........................................|",
   "4|h..........Q...G.........H...R.........g|",
   " |........................................|",
   " |.......................................q|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |...............N..........M.............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..p...............i.....j.............o.|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Black Hole - S",
   " +____1____2____3+",
   " |.m...l....k..n.|",
   " |...O........P..|",
   " |...............|",
   " |.....I....J....|",
   "1|...............|",
   " |r.............R|",
   " |...............|",
   " |h.G....:....H.g|",
   " |...............|",
   "2|Q.............q|",
   " |...............|",
   " |.....L....K....|",
   " |...............|",
   " |..N.........M..|",
   "3|.p...i....j..o.|",
   " +---------------+",
   "      1    2    3",
   "// Black Hole - M",
   " +____1____2____3____4____5+",
   " |.m........l....k.......n.|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.......O..........P......|",
   " |.........................|",
   " |.........................|",
   " |..........I....J.........|",
   " |.........................|",
   "2|.........................|",
   " |r.....................R..|",
   " |.........................|",
   " |h....G......,......H....g|",
   " |.........................|",
   "3|..Q.....................q|",
   " |.........................|",
   " |.........................|",
   " |..........L....K.........|",
   " |.........................|",
   "4|.........................|",
   " |.......N..........M......|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.p........i.....j......o.|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black Hole - L",
   " +____1____2____3____4____5____6____7____8+",
   " |.m...............l......k.............n.|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |...............O..........P.............|",
   " |........................................|",
   " |........................................|",
   " |..................I....J................|",
   "3|........................................|",
   " |........................................|",
   " |........................................|",
   " |r...................,...................|",
   " |........................................|",
   "4|h........Q...G.............H...R.......g|",
   " |....................,...................|",
   " |.......................................q|",
   " |........................................|",
   " |........................................|",
   "5|..................L....K................|",
   " |........................................|",
   " |........................................|",
   " |...............N..........M.............|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|.p................i.....j.............o.|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};

#endif
